    /**
     * ${item.getCaption()}
     *
     * @param {any[]} args
     * @param {*} [params]
     * @param {*} [$event]
     * @param {*} [xData]
     * @memberof ${srfclassname('${view.name}')}
     */
    public ${item.getFullCodeName()}(args: any[], params?: any, $event?: any, xData?: any) {
        // _this 指向容器对象
        // xData 数据对象
        const _this: any = this;
        if (xData && xData.save instanceof Function) {
            const _data = { srfparentdata: _this.srfparentdata };
            xData.save(_data, false).then((response: any) => {
                if (!response || response.status !== 200) {
                    return;
                }
                const { data: _data } = response;
                <#--  后续界面行为  -->
                <#if item.getNextPSUIAction?? && item.getNextPSUIAction()??>
                <#assign nextPSUIAction = item.getNextPSUIAction()/>
                if (_this.${nextPSUIAction.getFullCodeName()} && _this.${nextPSUIAction.getFullCodeName()} instanceof Function) {
                    _this.${nextPSUIAction.getFullCodeName()}([_data], params, $event, xData);
                }
                <#else>
                if (!xData || !(xData.wfstart instanceof Function)) {
                    return;
                }
                xData.wfstart(_data).then((response2: any) => {
                    if (!response2 || response2.status !== 200) {
                        return;
                    }
                    const { data: _data2 } = response2;

                    if (_this.viewdata) {
                        _this.$emit('viewdataschange', [{ ..._data2 }]);
                        _this.$emit('close');
                    } else if (_this.$tabPageExp) {
                        _this.$tabPageExp.onClose(_this.$route.fullPath);
                    }
                });
                </#if>
            });
        }
    }